当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 9.04下安装LAMP 以及 MYSQL 出现的错误。!有时间的帮忙看看怎么解决!
帖子发表于 : 2009-08-13 17:45 

注册: 2009-03-31 9:13
帖子: 25
送出感谢: 0 次
接收感谢: 0 次
root@automatical-desktop:~# sudo apt-get install mysql-server
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
将会安装下列额外的软件包:
libhtml-template-perl mysql-server-5.0
建议安装的软件包:
libipc-sharedcache-perl tinyca mailx
下列【新】软件包将被安装:
libhtml-template-perl mysql-server mysql-server-5.0
共升级了 0 个软件包,新安装了 3 个软件包,要卸载 0 个软件包,有 17 个软件未被升级。
需要下载 123kB/23.7MB 的软件包。
解压缩后会消耗掉 79.7MB 的额外空间。
您希望继续执行吗?[Y/n]y
获取:1 http://mirror.lupaworld.com jaunty/main libhtml-template-perl 2.9-1 [65.8kB]
获取:2 http://mirror.lupaworld.com jaunty-updates/main mysql-server 5.1.30really5.0.75-0ubuntu10.2 [57.2kB]
下载 123kB,耗时 0s (138kB/s)
正在预设定软件包 ...
(正在读取数据库 ... 系统当前总共安装有 202741 个文件和目录。)
正在解压缩 mysql-server-5.0 (从 .../mysql-server-5.0_5.1.30really5.0.75-0ubuntu10.2_i386.deb) ...
Aborting downgrade from (at least) 5.1 to 5.0.
dpkg:处理 /var/cache/apt/archives/mysql-server-5.0_5.1.30really5.0.75-0ubuntu10.2_i386.deb (--unpack)时出错:
子进程 pre-installation script 返回了错误号 1
选中了曾被取消选择的软件包 libhtml-template-perl。
正在解压缩 libhtml-template-perl (从 .../libhtml-template-perl_2.9-1_all.deb) ...
选中了曾被取消选择的软件包 mysql-server。
正在解压缩 mysql-server (从 .../mysql-server_5.1.30really5.0.75-0ubuntu10.2_all.deb) ...
* Stopping MySQL database server mysqld [ OK ]
正在处理用于 man-db 的触发器...
在处理时有错误发生:
/var/cache/apt/archives/mysql-server-5.0_5.1.30really5.0.75-0ubuntu10.2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@automatical-desktop:~# sudo apt-get install mysql-server
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
将会安装下列额外的软件包:
mysql-server-5.0
建议安装的软件包:
tinyca mailx
下列【新】软件包将被安装:
mysql-server mysql-server-5.0
共升级了 0 个软件包,新安装了 2 个软件包,要卸载 0 个软件包,有 17 个软件未被升级。
需要下载 0B/23.6MB 的软件包。
解压缩后会消耗掉 79.5MB 的额外空间。
您希望继续执行吗?[Y/n]y
正在预设定软件包 ...
(正在读取数据库 ... 系统当前总共安装有 202749 个文件和目录。)
正在解压缩 mysql-server-5.0 (从 .../mysql-server-5.0_5.1.30really5.0.75-0ubuntu10.2_i386.deb) ...
Aborting downgrade from (at least) 5.1 to 5.0.
dpkg:处理 /var/cache/apt/archives/mysql-server-5.0_5.1.30really5.0.75-0ubuntu10.2_i386.deb (--unpack)时出错:
子进程 pre-installation script 返回了错误号 1
选中了曾被取消选择的软件包 mysql-server。
正在解压缩 mysql-server (从 .../mysql-server_5.1.30really5.0.75-0ubuntu10.2_all.deb) ...
* Stopping MySQL database server mysqld [ OK ]
在处理时有错误发生:
/var/cache/apt/archives/mysql-server-5.0_5.1.30really5.0.75-0ubuntu10.2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@automatical-desktop:~# cd /var/cache/apt/archives
root@automatical-desktop:/var/cache/apt/archives# ls
libhtml-template-perl_2.9-1_all.deb
lock
mysql-server-5.0_5.1.30really5.0.75-0ubuntu10.2_i386.deb
mysql-server_5.1.30really5.0.75-0ubuntu10.2_all.deb


我之前本来单独安装过 mysql 5.1 后来安装LAMP 服务的时候。LAMP 里面用的是MYSQL 5.0。于是就把MYSQL 5.1 删除下载5.0版本。结果5.0版本无法安装上去了。
不知道是什么原因。请知道的帮个小忙。谢谢!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 9.04下安装LAMP 以及 MYSQL 出现的错误。!有时间的帮忙看看怎么解决!
帖子发表于 : 2009-08-13 18:05 
头像

注册: 2009-08-05 17:40
帖子: 88
送出感谢: 0 次
接收感谢: 0 次
你打开系统,系统管理,新立得软件管理器,在新得中点击编辑,使用任务分组标记软件包,选中lamp server
安装即可,不用在安装mysql 了,包里全部都带了,然后下载个phpmysql 管理sql就行了。
sudo apt-get install phpmyadmin
:em05 :em05 :em05 :em05 :em05


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 9.04下安装LAMP 以及 MYSQL 出现的错误。!有时间的帮忙看看怎么解决!
帖子发表于 : 2009-08-13 19:52 

注册: 2009-03-31 9:13
帖子: 25
送出感谢: 0 次
接收感谢: 0 次
我就是在新立得软件管理器使用任务分组标记软件包选中lamp server
安装的
结果出现这个错误
E: /var/cache/apt/archives/mysql-server-5.0_5.1.30really5.0.75-0ubuntu10.2_i386.deb: 子进程 pre-installation script 返回了错误号 1
有解么?
先谢过二楼2楼


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 9.04下安装LAMP 以及 MYSQL 出现的错误。!有时间的帮忙看看怎么解决!
帖子发表于 : 2009-08-20 22:02 
头像

注册: 2005-08-02 18:04
帖子: 190
地址: Lanzhou
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install -f

修复一下,看看?


_________________
Jonathan Swift - "May you live every day of your life."


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 9.04下安装LAMP 以及 MYSQL 出现的错误。!有时间的帮忙看看怎么解决!
帖子发表于 : 2009-08-24 22:34 

注册: 2009-03-31 9:13
帖子: 25
送出感谢: 0 次
接收感谢: 0 次
没用,那个方法早试过了!!
我的这个文件损坏了。var/lib/dpkg/info在误导下删除了这个文件。结果我在虚拟机里找了这个文件替换,还是没用。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 9.04下安装LAMP 以及 MYSQL 出现的错误。!有时间的帮忙看看怎么解决!
帖子发表于 : 2009-08-28 23:41 
头像

注册: 2009-02-22 14:15
帖子: 173
送出感谢: 0 次
接收感谢: 0 次
automatical 写道:
没用,那个方法早试过了!!
我的这个文件损坏了。var/lib/dpkg/info在误导下删除了这个文件。结果我在虚拟机里找了这个文件替换,还是没用。


哥们跟你遇到了同样的问题,到现在也还没解决,真不知道怎么办。


_________________
Desire Freedom, Love Beauty, Keep Hacking。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 9.04下安装LAMP 以及 MYSQL 出现的错误。!有时间的帮忙看看怎么解决!
帖子发表于 : 2009-08-30 3:51 

注册: 2007-01-28 23:18
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
LZ看这里

http://jendalsepit.web.id/?p=671

我也有同样的问题
终于解决了
希望你也是一样的问题

另外BS一下真的好麻烦,装了5.1就不能装回5.0


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 9.04下安装LAMP 以及 MYSQL 出现的错误。!有时间的帮忙看看怎么解决!
帖子发表于 : 2009-08-30 17:33 

注册: 2009-03-31 9:13
帖子: 25
送出感谢: 0 次
接收感谢: 0 次
哎,毛病太多了。!我等9.10的系统了。9.04的不去整它了。
到时候重装一下!!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译